"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
let yargs = require("yargs");
const cli_1 = require("./cli");
let cli = new cli_1.Cli();
let argv = yargs
    .command("generate", "Generates an pdf from an markdown file.", (yargs) => {
    yargs
        .option('in', {
        describe: 'The input markdown file',
        default: 'document.md'
    })
        .option('out', {
        describe: 'The output path for the PDF (defaults to <input>.pdf)',
        default: null
    })
        .option('layout', {
        describe: 'The layout used for rendering the PDF',
        default: 'document'
    })
        .option('log-level', {
        describe: 'Configures the log level',
        default: 'info'
    })
        .option('temp', {
        describe: 'Set the tempo output path for the generated html files (e.g. for debugging)',
        default: null
    });
}, (argv) => {
    cli.generate(argv);
})
    .demand(1, "Please provide a valid command.")
    .argv;
