"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const exiftool = require("node-exiftool");
const exiftoolBin = require('dist-exiftool');
class MetadataService {
    getMetadataAsync(file) {
        return __awaiter(this, void 0, void 0, function* () {
            const process = new exiftool.ExiftoolProcess(exiftoolBin);
            try {
                yield process.open();
                const result = yield process.readMetadata(file);
                if (result.error) {
                    throw result.error;
                }
                if (result.data == null || result.data.length != 1) {
                    throw new Error('Unexpected result count recived');
                }
                return result.data[0];
            }
            finally {
                yield process.close();
            }
        });
    }
    setMetadataAsync(file, data) {
        return __awaiter(this, void 0, void 0, function* () {
            const process = new exiftool.ExiftoolProcess(exiftoolBin);
            try {
                yield process.open();
                yield process.writeMetadata(file, data, ['overwrite_original']);
            }
            finally {
                yield process.close();
            }
        });
    }
}
exports.MetadataService = MetadataService;
exports.default = new MetadataService();
