"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const childProcess = require("child_process");
const q = require("q");
const pdf_options_parser_1 = require("../helpers/pdf-options-parser");
class PdfService {
    renderPdfAsync(layoutPath, outputPath, options) {
        const args = pdf_options_parser_1.wkhtmltopdfArguments(layoutPath, options);
        args.push(outputPath);
        const defer = q.defer();
        childProcess.execFile(options.wkhtmltopdfPath, args, { timeout: 15000 }, function (error, stdout, stderr) {
            const data = {
                error: error,
                stdout: stdout,
                stderr: stderr
            };
            if (error) {
                defer.reject(data);
            }
            else {
                defer.resolve(data);
            }
        });
        return defer.promise;
    }
}
exports.PdfService = PdfService;
exports.default = new PdfService();
