"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const winston = require("winston");
const file_service_1 = require("../file-service");
class ResolveHelper {
    constructor() {
        this.name = 'resolve';
    }
    onExecute(module, options) {
        let moduleDirectory;
        try {
            moduleDirectory = file_service_1.default.resolveModuleDirectory(module);
        }
        catch (ex) {
            winston.warn(`The required module '${module}' used inside the template could not be found.`);
            throw ex;
        }
        const filePath = path.join(moduleDirectory, options.hash.file);
        if (!file_service_1.default.exists(filePath)) {
            winston.warn(`The required template file '${options.hash.file}' for module '${module}' could not be found.`);
            winston.warn(`The resolved template file path is '${filePath}'.`);
        }
        return file_service_1.default.toAbsoluteFileUrl(filePath);
    }
}
exports.ResolveHelper = ResolveHelper;
