"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const q = require("q");
const i18next_1 = require("i18next");
const Backend = require("i18next-node-fs-backend");
class TranslationService {
    constructor(layoutDirectory, language) {
        this.layoutDirectory = layoutDirectory;
        this.language = language;
    }
    initAsync() {
        return __awaiter(this, void 0, void 0, function* () {
            const defer = q.defer();
            const translationDirectory = path.join(this.layoutDirectory, 'i18n/{{lng}}.json');
            const config = {
                lng: this.language,
                fallbackLng: 'en',
                backend: {
                    loadPath: translationDirectory
                }
            };
            this.translator = i18next_1.createInstance();
            this.translator.use(Backend);
            this.translator.init(config, (error, t) => {
                this.t = t;
                defer.resolve();
            });
            return defer.promise;
        });
    }
    overwriteTranslations(translations) {
        this.translator.addResourceBundle(this.language, 'translation', translations, true, true);
        this.translator.addResourceBundle('en', 'translation', translations, true, true);
    }
    get translate() {
        return this.t;
    }
}
exports.TranslationService = TranslationService;
